import request from '@/utils/request'

// 查询企业燃气费信息列表
export function listInformation(query) {
  return request({
    url: '/crmGasFeeInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业燃气费信息详细
export function getInformation(id) {
  return request({
    url: '/crmGasFeeInformation/information/' + id,
    method: 'get'
  })
}

// 新增企业燃气费信息
export function addInformation(data) {
  return request({
    url: '/crmGasFeeInformation/information',
    method: 'post',
    data: data
  })
}

// 修改企业燃气费信息
export function updateInformation(data) {
  return request({
    url: '/crmGasFeeInformation/information',
    method: 'put',
    data: data
  })
}

// 删除企业燃气费信息
export function delInformation(id) {
  return request({
    url: '/crmGasFeeInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmGasFeeInformation/delete',ids)
}

